#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Name:           kconfigwidgets
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  kf5-macros
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  libxml2-utils 
BuildRequires:  docbook-dtds 
BuildRequires:  docbook-style-xsl

%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -f %{name}5.lang
%_kf5_bindir/preparetips5
%_kf5_mandir/man1/preparetips5.1.*
%_kf5_mandir/*/man1/preparetips5.1.*
%_datadir/locale/*/*.desktop

#--------------------------------------------------------------------

%define kf5configwidgets_major 5
%define libkf5configwidgets %mklibname kf5configwidgets %{kf5configwidgets_major}

%package -n %libkf5configwidgets
Summary:      KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Requires:     %name = %version-%release
Group:        System/Libraries

%description -n %libkf5configwidgets
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -n %libkf5configwidgets
%_kf5_libdir/libKF5ConfigWidgets.so.%{kf5configwidgets_major}*

#--------------------------------------------------------------------

%define kf5configwidgets_devel %mklibname kf5configwidgets -d

%package -n %kf5configwidgets_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5configwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5configwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5configwidgets_devel
%_kf5_includedir/KConfigWidgets
%_kf5_includedir/kconfigwidgets_version.h
%_kf5_libdir/cmake/KF5ConfigWidgets
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088952
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074523
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072184
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058343
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050520
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045098
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041320
- New version 5.24.0

* Sat Jun 18 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1025252
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014328
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999625
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986317
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942237
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921271
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913127
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909877
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900469
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899385
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 899135
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888155
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881379
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862940
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862688
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853785
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841561
- New version 5.11.0

* Wed Dec 17 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803860
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 745842
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680962
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660418
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651571
- New version 5.0.0

* Mon Jul 07 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650306
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611264
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599805
- New version 4.97.0

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594390
- imported package kconfigwidgets

